%define apxs /usr/bin/apxs
BuildRequires:  httpd-devel
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)

Name:           httpd-mod_tile
Version:        1.0
Release:        0%{?dist}
Requires:       httpd
Summary:        Apache module for map tile handling
License:        GPL-2.0+
Group:          Development/Tools
Url:            http://wiki.openstreetmap.org/wiki/Mod_tile
Source:         https://github.com/openstreetmap/mod_tile/archive/master.tar.bz2
Packager:	Ignatov Alex <ceo@sbsols.com>
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make
#BuildRequires:  pkgconfig
BuildRequires:  boost-devel
BuildRequires:  freetype-devel
BuildRequires:  libicu-devel >= 4.2
BuildRequires:  proj-devel
BuildRequires:  mapnik-devel

%description
Mod tile is a system to serve raster tiles for example to use within a slippy map.
It provides a dynamic combination of efficient caching and on the fly rendering.
Due to its dynamic rendering, only a small fraction of overall tiles need to be
kept on disk, reducing the resources required. At the same time, its caching
strategy allows for a high performance serving and can support several thousand
requests per second.

Mod_tile was originally written for serving the tiles of the main OSM map (Mapnik
layer), but since is being used on a variety of different servers providing maps
ontop of OpenStreetMap data.

%package -n renderd
Summary:        Render daemon for httpd map tile module
Group:          Productivity/Networking/Web/Servers

%description -n renderd
Default rendering daemon for httpd-mod_tile.

%prep
%setup -q -n "mod_tile-master"

%build
./autogen.sh
%configure \
    --with-apxs="%{apxs}"

%__make %{?_smp_flags}

%post -n renderd -p /sbin/ldconfig
%postun -n renderd -p /sbin/ldconfig

%install
%makeinstall
make DESTDIR=%{buildroot} install-mod_tile

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING
%{apache_libexecdir}/mod_tile.so

%files -n renderd
%defattr(-,root,root)
%doc COPYING
%{_bindir}/*
%config %{_sysconfdir}/renderd.conf
/usr/share/man/*
%{_libdir}/libiniparser*
%exclude %{_libdir}/libiniparser.so
%exclude %{_libdir}/libiniparser.a

%changelog
